Index: ruby/trunk/config/environment.rb
===================================================================
--- ruby/trunk/config/environment.rb	(revision 414)
+++ ruby/trunk/config/environment.rb	(revision 415)
@@ -49,5 +49,5 @@
   # no regular words or you'll be exposed to dictionary attacks.
   config.action_controller.session = {
-    :session_key => '_terminology_session',
+    :key => '_terminology_session',
     :secret      => '1ea0f287b0aff2a17c7118ce51c923ba7dbbb864484499aefa03b79b57488265f13445ba44b6c0d1abe411f7bc2c8417edabadd611190532e7051a1a7319b707'
   }
Index: ruby/trunk/db/migrate/20100129010414_create_archetype_data.rb
===================================================================
--- ruby/trunk/db/migrate/20100129010414_create_archetype_data.rb	(revision 414)
+++ ruby/trunk/db/migrate/20100129010414_create_archetype_data.rb	(revision 415)
@@ -8,5 +8,5 @@
       t.string :text_data
       t.integer :integer_data
-      t.real :real_data
+      t.float :real_data
 
       t.timestamps
Index: ruby/trunk/db/migrate/20100702073455_create_languages.rb
===================================================================
--- ruby/trunk/db/migrate/20100702073455_create_languages.rb	(revision 415)
+++ ruby/trunk/db/migrate/20100702073455_create_languages.rb	(revision 415)
@@ -0,0 +1,12 @@
+class CreateLanguages < ActiveRecord::Migration
+  def self.up
+    create_table :languages, :id => false do |t|
+      t.string :code, :null => false
+      t.string :description, :null => false
+    end
+  end
+
+  def self.down
+    drop_table :languages
+  end
+end
Index: ruby/trunk/db/schema.rb
===================================================================
--- ruby/trunk/db/schema.rb	(revision 414)
+++ ruby/trunk/db/schema.rb	(revision 415)
@@ -10,5 +10,5 @@
 # It's strongly recommended to check this file into your version control system.
 
-ActiveRecord::Schema.define(:version => 20100129010414) do
+ActiveRecord::Schema.define(:version => 20100702073455) do
 
   create_table "archetype_data", :force => true do |t|
@@ -19,6 +19,12 @@
     t.string   "text_data"
     t.integer  "integer_data"
+    t.float    "real_data"
     t.datetime "created_at"
     t.datetime "updated_at"
+  end
+
+  create_table "languages", :id => false, :force => true do |t|
+    t.string "code",        :null => false
+    t.string "description", :null => false
   end
 
Index: ruby/trunk/lib/open_ehr/terminology/open_ehr_terminology.rb
===================================================================
--- ruby/trunk/lib/open_ehr/terminology/open_ehr_terminology.rb	(revision 415)
+++ ruby/trunk/lib/open_ehr/terminology/open_ehr_terminology.rb	(revision 415)
@@ -0,0 +1,40 @@
+require 'rubygems'
+require 'xmlsimple'
+
+module OpenEHR
+  module Terminology
+    class OpenEHRTerminology
+      def initialize
+        @terms = XmlSimple.xml_in(File.open('doc/openehr_terminology.xml'))
+      end
+
+      def languages
+        @terms['Language']
+      end
+
+      def primary_rubrics
+        @terms['PrimaryRubric']
+      end
+
+      def concepts
+        @terms['Concept']
+      end
+
+      def groupers
+        @terms['Grouper']
+      end
+
+      def grouped_concepts
+        @terms['GroupedConcept']
+      end
+
+      def terminology_identifiers
+        @terms['TerminologyIdentifiers']
+      end
+
+      def territories
+        @terms['Territory']
+      end
+    end 
+  end
+end
Index: ruby/trunk/spec/models/language_spec.rb
===================================================================
--- ruby/trunk/spec/models/language_spec.rb	(revision 415)
+++ ruby/trunk/spec/models/language_spec.rb	(revision 415)
@@ -0,0 +1,44 @@
+require 'spec_helper'
+
+describe Language do
+  fixtures :languages
+
+  before(:each) do
+    @valid_attributes = {
+      :code => "jp",
+      :description => "Japan"
+    }
+  end
+
+  it "should create a new instance given valid attributes" do
+    Language.create!(@valid_attributes)
+  end
+
+  it 'should not valid when code is not assigned' do
+    Language.new(:description => 'Japan').should_not be_valid
+  end
+
+  it 'should not valid when description is not assigned' do
+    Language.new(:code => 'jp').should_not be_valid
+  end
+
+  it 'should return valid description for code' do
+    Language.find(:first,
+                  :conditions => ["code = ?", 'af']).
+      description.should == 'Afrikaans'
+  end
+
+  it 'should have only one entry for one code' do
+    Language.find(:all, :conditions => ["code = ?", 'af']).size.
+      should be_equal 1
+
+  end
+
+  it 'should return valid code for description' do
+    Language.first("description = ?", 'Albanian').code.should == 'sq'
+  end
+
+  after(:all) do
+    Language.destroy_all
+  end
+end
Index: ruby/trunk/spec/models/terminology_spec.rb
===================================================================
--- ruby/trunk/spec/models/terminology_spec.rb	(revision 414)
+++ ruby/trunk/spec/models/terminology_spec.rb	(revision 415)
@@ -3,7 +3,9 @@
 describe Terminology do
   before(:each) do
-    @terminology = Terminology.new
+    @terminology ||= Terminology.new
   end
 
-  it 'should find all the codes by group'
+  it 'has_language_code should true if it has' do
+    @terminology.should have_language_code 'en'
+  end
 end
